Loading...
Searching...
No Matches
elligator.c File Reference

Elligator high-level functions. More...

## Macros

#define | API_NS(_id) decaf_448_##_id
#define | point_t API_NS(point_t)
#define | IMAGINE_TWIST 0
#define | COFACTOR 4
#define | RISTRETTO_FACTOR DECAF_448_RISTRETTO_FACTOR
#define | MAX(A, B) (((A)>(B)) ? (A) : (B))

## Functions

mask_t API_NS() | deisogenize (gf_s *__restrict__ s, gf_s *__restrict__ inv_el_sum, gf_s *__restrict__ inv_el_m1, const point_t p, mask_t toggle_hibit_s, mask_t toggle_altx, mask_t toggle_rotation)
void API_NS() | point_from_hash_nonuniform (point_t p, const unsigned char ser[SER_BYTES])
void API_NS() | point_from_hash_uniform (point_t pt, const unsigned char hashed_data[2 *SER_BYTES])
decaf_error_t API_NS() | invert_elligator_nonuniform (unsigned char recovered_hash[SER_BYTES], const point_t p, uint32_t hint_)
decaf_error_t API_NS() | invert_elligator_uniform (unsigned char partial_hash[2 *SER_BYTES], const point_t p, uint32_t hint)

## Variables

const gf | RISTRETTO_FACTOR

## Detailed Description

Elligator high-level functions.

Author
  Mike Hamburg

Copyright
  Copyright (c) 2015-2016 Cryptography Research, Inc.
  Released under the MIT License. See LICENSE.txt for license information.

Warning
  This file was automatically generated in Python. Please do not edit it.